Compilare l’ultimo Gnome Gmail Notifier su Fedora 8..piccola guida


E’ da parecchio tempo che ho compilato ed installato l’ultima versione di Gnome Gmail Notifier (uno dei progetti che seguo con molto piacere) ma non credevo potesse interessare a molti… A quanto pare il suo sviluppatore non distribuisce più i pacchetti, e ce lo dobbiamo compilare da soli… niente di difficile..

gmail

Innanzitutto installiamo il necessario (al solito, segnalatemi eventuali problemi/dimenticanze):

su

yum -y install gtk+ gtk+-devel gtk2 gtk2-devel libsoup libsoup-devel libnotify libnotify-devel libxml2 libxml2-devel libglade2 libglade2-devel gcc gcc-c++ make perl-XML-Parser libgnome-devel libgnomeui-devel gstreamer-devel

aggiornato 12/02/2008: adesso le dipendenze ci dovrebbero essere tutte )

Usciamo dall’utente root

exit

cd ~

Scarichiamo il sorgente e scompattiamolo:

wget http://gnome-gmail-notifier.googlecode.com/files/gnome-gmail-notifier-0….

tar xjvf gnome-gmail-notifier-0.9.4.tar.bz2

cd gnome-gmail-notifier-0.9.4

Configuriamo la compilazione (per eventuali errori, commentate l’articolo, potrebbe mancare qualche dipendenza)

./configure

Compiliamo ed installiamo

su

make install

Finito! ;-)

P.S. questa è la pagina google code del progetto… potete segnalare problemi e bug ;)

[handbook] Fedora 8 Guida agli ESSENZIALI cattivi ed ai buoni CAPRICCIOSI :-)


cattivifedora

  • Mp3/Divx e codec vari “ristretti”…

Installate il seguente repository: Livna per fedora 8

Avviate l’applet per installare i programmi e cercate (e una volta trovati spuntate)

gstreamer-plugins-ugly

gstreamer-plugins-bad

gstreamer-plugins-farsight

gstreamer-plugins-bad-extras

gstreamer-ffmpeg

xine-lib-extras

xine-lib

xine-lib-extras-nonfree

xine-plugin

xine-lib-arts

libdvdnav

libdvdread

libdvdcss

libdvdplay

ovviamente Installate premendo Applica…

Se invece vogliamo fare tutto con un singolo comando, apriamo il terminale e digitiamo:

su

yum install -y gstreamer-plugins-ugly gstreamer-plugins-bad gstreamer-plugins-farsight gstreamer-plugins-bad-extras gstreamer-ffmpeg xine-lib-extras xine-lib xine-lib-extras-nonfree xine-plugin xine-lib-arts libdvdnav libdvdread libdvdcss libdvdplay

quando ci viene chiesto se installare, rispondete Y )

  • Plugin flash

Aggiungete il repository adobe: CLICCA QUI

Avviate l’applet per installare i programmi e cercate (e una volta trovato spuntate)

flash-plugin

ovviamente Installate premendo Applica…

BUONI CAPRICCIOSI -)

  • Plugin java per firefox/mozilla

Avviate l’applet per installare i programmi e cercate (e una volta trovato spuntate)

icedtea-plugin

ovviamente Installate premendo Applica…

AVVIATE FIREFOX e digitate nella barra degli indirizi

about:plugins

e verificate che ci sia la sezione GCJ Web Browser Plugin 1.4 e di sotto una tabella tipo:

application/x-java-vm IcedTea class,jar
application/x-java-applet IcedTea class,jar
application/x-java-applet;version=1.1 IcedTea class,jar
application/x-java-applet;version=1.1.1 IcedTea class,jar
application/x-java-applet;version=1.1.2 IcedTea class,jar
application/x-java-applet;version=1.1.3 IcedTea class,jar
application/x-java-applet;version=1.2 IcedTea class,jar
application/x-java-applet;version=1.2.1 IcedTea class,jar
application/x-java-applet;version=1.2.2 IcedTea class,jar
application/x-java-applet;version=1.3 IcedTea class,jar
application/x-java-applet;version=1.3.1 IcedTea class,jar

SE QUESTA SEZIONE NON VI APPARE sistemate il problema con questo comando da terminale:

su

mozilla-plugin-config -i -f

  • Per installare VIRTUALBOX

Prima di accingervi ad installare il pacchetto per fedora installate i seguenti pacchetti:

su

yum install gcc kernel-devel libstdc++.so.5 make

Ricordate di andare su AMMINISTRAZIONE>> UTENTI E GRUPPI

selezionate il vostro nome di login, cliccate proprietà, andate nel tab GRUPPI e controllate che sia messa la spunta su VBOXUSERS………. se non è spuntato… SPUNTATELA D

Per attivare correttamente il supporto usb:

Create un nuovo gruppo chiamato: usb

Selezionate il vostro nome come membro del gruppo

Modificate fstab:

su

gedit /etc/fstab

aggiungete questa linea:

none /sys/bus/usb/drivers usbfs devgid=503,devmode=664 0 0

salvate e date da terminale:

mount -a

  • Per installare l’applet GNOME-GMAIL-NOTIFIER

L’ultimo rpm stable FUNZIONANTE era della versione 0.9.1

Clicca qui per scaricare l’rpm della 0.9.1

Ma se volete, potete compilare l’ultimissima versione (0.9.4) seguendo la mia guida

  • Per installare amule

NON INSTALLATE LA VERSIONE CONTENUTA NEI REPOSITORY LIVNA. Nel mio caso mi portava la cpu al 100% senza scaricare nulla….

Piuttosto scaricate ed installate QUESTO PACCHETTO
funziona perfettamente e non ho problemi.

eventualmente che il link è down, provate un mirror

%d blogger hanno fatto clic su Mi Piace per questo: